Subject: bug#75894: closed (Re: [bug#75894] Request for merging "node-team" branch)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Apr 2025 12:26:02 +0000

Your bug report

#75894: Request for merging "node-team" branch

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75894: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75894
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#75894] Request for merging "node-team" branch
From: Andreas Enge <[email-masked]>
To: Nicolas Graves <[email-masked]>
Cc: [email-masked], Christopher Baines <[email-masked]>, Jelle Licht <[email-masked]>
Date: Sun, 13 Apr 2025 14:25:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

and thanks for the update! The node-team branch has been built without
further problems, thanks a lot to Chris for taking care of the 32bit
build failure.

So I have pushed the branch to master and am closing this bug.
I will also delete the node-team branch as per policy, and anyway
I think you wanted to rename it to javascript-team for the next run.

In any case, whenever you are ready, please feel free to push a new
branch and to open a corresponding merge request.

Andreas

Subject: Request for merging "node-team" branch
From: Jelle Licht <[email-masked]>
To: [email-masked]
Date: Mon, 27 Jan 2025 11:50:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

The node-team branch contains the bump of node-lts to the 22.X.Y series,
and supporting changes that make this possible.

Since some of the leaf packages depending on node are quite important and hard to
build on underpowered hardware, I'd like to get the ball rolling this
way so we have some substitutes before merging this into master.

NB, there is no real node-team yet, but there might be soon enough :)

Thanks,
 - Jelle